services:
  db:
    image: postgres:12
    volumes:
      - dbdata:/var/lib/postgresql/data
    ports:
      - 5432:5432
    environment:
      - POSTGRES_PASSWORD=postgres

  web:
    build: .
    environment:
      - DEPLOY_ENV=local
      - HOST=localhost
      - DEBUG=True
      - SECRET_KEY=7p$85^4ibb^p4-=vs44b7!y0e-zemugze18@a#30&71=a8)dp(
      - DB_NAME=postgres
      - DB_USER=postgres
      - DB_PASSWD=postgres
      - DB_HOST=db
      - DB_PORT=5432
      - EMAIL_API_KEY=
      - GROUP_KEY=
      - GOOGLE_CREDS='{}'
    ports:
      - 8000:8000
    depends_on:
      - db

volumes:
  dbdata:
